﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;
using UnityEngine.SceneManagement;
using Assets.Scripts;
using Assets.Scripts.API;

public class GameOver : MonoBehaviour
{
    private float _timer = 0f;
	private int score;

	private Player _player;
	public InputField PlayerName;
	public InputField TeamName;
	public Text Score;

    void Start()
    {
		_player = GameObject.FindWithTag("Player").GetComponent<Player>();
		score = _player.Score;
		Score.text = "You scored " + score;
    }
	
	void Update ()
	{
//	    _timer += Time.deltaTime;
//        if (_timer > 4f)
//            SceneManager.LoadScene("Menu");
	}

	public void OnButtonPlayClicked()
	{
		SceneManager.LoadScene("Main");
	}

	public void OnButtonSubmitClicked()
	{
		string playerText = PlayerName.text;
		if (playerText == null || playerText.Length == 0) {
			playerText = "Random Randy";
		}
		string teamText = PlayerName.text;
		if (teamText == null || teamText.Length == 0) {
			teamText = null;
		}
		Server.PostScore(score, playerText, teamText);
	}
}
